package com.qmth.demo.api;

import com.qmth.boot.core.security.service.CustomizeAuthorizationService;
import com.qmth.demo.api.auth.DemoAuthorizationService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;

import javax.annotation.Resource;

/**
 * api demo application
 */
@SpringBootApplication(scanBasePackages = "com.qmth.*")
@EnableCaching
@MapperScan("com.qmth.demo.*")
public class ApiDemoApplication {

    @Resource
    private DemoAuthorizationService demoAuthorizationService;

    @Bean
    public CustomizeAuthorizationService customizeAuthorizationService() {
        return registration -> {
            registration.setDefault(demoAuthorizationService);
        };
    }

    public static void main(String[] args) {
        SpringApplication.run(ApiDemoApplication.class, args);
    }
}
